NewWacht Bench is live — AI-assisted development for Wacht

Get User Workspace Memberships

GET
/me/workspace-memberships

Authorization

__session<token>

Session JWT stored as a cookie after sign-in. Used in production environments.

In: cookie

Query Parameters

org_id?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://{deployment_host}/me/workspace-memberships"
{
  "status": 0,
  "message": "string",
  "data": [
    {
      "id": "string",
      "workspace": {
        "id": "string",
        "name": "string",
        "image_url": "string",
        "description": "string",
        "member_count": 0,
        "public_metadata": {
          "property1": null,
          "property2": null
        },
        "private_metadata": {
          "property1": null,
          "property2": null
        },
        "enforce_2fa": true,
        "enable_ip_restriction": true,
        "whitelisted_ips": [
          "string"
        ],
        "created_at": "string",
        "updated_at": "string",
        "segments": [
          {
            "id": "string",
            "created_at": "string",
            "updated_at": "string",
            "deployment_id": "string",
            "name": "string",
            "type": "user"
          }
        ]
      },
      "organization_id": "string",
      "user_id": "string",
      "roles": [
        {
          "id": "string",
          "name": "string",
          "permissions": [
            "string"
          ],
          "created_at": "string",
          "updated_at": "string"
        }
      ],
      "organization": {
        "id": "string",
        "name": "string",
        "image_url": "string",
        "description": "string",
        "member_count": 0,
        "public_metadata": {
          "property1": null,
          "property2": null
        },
        "private_metadata": {
          "property1": null,
          "property2": null
        },
        "enforce_mfa": true,
        "enable_ip_restriction": true,
        "whitelisted_ips": [
          "string"
        ],
        "auto_assigned_workspace_id": "string",
        "created_at": "string",
        "updated_at": "string",
        "segments": [
          {
            "id": "string",
            "created_at": "string",
            "updated_at": "string",
            "deployment_id": "string",
            "name": "string",
            "type": "user"
          }
        ]
      },
      "public_metadata": {
        "property1": null,
        "property2": null
      },
      "created_at": "string",
      "updated_at": "string",
      "eligibility_restriction": {
        "type": "none",
        "message": "string"
      }
    }
  ],
  "session": {
    "id": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}